from django.contrib.auth.models import User
from django.test import TestCase


class TestAPIPages(TestCase):
    def setUp(self):
        self.user = User.objects.create_superuser(
            username="admin",
            password="apitest",
            email="",
        )
        self.client.force_login(self.user)

    def test_user_page(self):
        response = self.client.get("/api/user/")
        self.assertEqual(response.status_code, 200)
